gd-devel-2.2.5-7.fc29.remi.i686.rpm


Advertisement

Description

gd-devel - The development libraries and header files for gd

Property Value
Distribution Fedora 29
Repository Les RPM de Remi x86_64
Package filename gd-devel-2.2.5-7.fc29.remi.i686.rpm
Package name gd-devel
Package version 2.2.5
Package release 7.fc29.remi
Package architecture i686
Package type rpm
Category Development/Libraries
Homepage http://libgd.github.io/
License MIT
Maintainer -
Download size 37.44 KB
Installed size 126.28 KB
The gd-devel package contains the development libraries and header
files for gd, a graphics library for creating PNG and JPEG graphics.

Alternatives

Package Version Architecture Repository
gd-devel-2.2.5-7.fc29.remi.x86_64.rpm 2.2.5 x86_64 Les RPM de Remi
gd-devel-2.2.5-7.fc29.remi.i686.rpm 2.2.5 i686 Les RPM de Remi
gd-devel-2.2.5-7.fc29.x86_64.rpm 2.2.5 x86_64 Fedora Updates
gd-devel-2.2.5-7.fc29.i686.rpm 2.2.5 i686 Fedora Updates
gd-devel-2.2.5-7.fc29.i686.rpm 2.2.5 i686 Fedora Updates
gd-devel-2.2.5-6.fc29.remi.x86_64.rpm 2.2.5 x86_64 Les RPM de Remi
gd-devel-2.2.5-6.fc29.remi.i686.rpm 2.2.5 i686 Les RPM de Remi
gd-devel-2.2.5-6.fc29.remi.i686.rpm 2.2.5 i686 Les RPM de Remi
gd-devel-2.2.5-3.fc29.x86_64.rpm 2.2.5 x86_64 Fedora
gd-devel-2.2.5-3.fc29.i686.rpm 2.2.5 i686 Fedora
gd-devel-2.2.5-3.fc29.i686.rpm 2.2.5 i686 Fedora
gd-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
/usr/bin/sh -
fontconfig-devel(x86-32) -
freetype-devel(x86-32) -
gd(x86-32) = 2.2.5-7.fc29.remi
libX11-devel(x86-32) -
libXpm-devel(x86-32) -
libgd.so.3 -
libimagequant-devel(x86-32) -
libjpeg-devel(x86-32) -
libpng-devel(x86-32) -
libtiff-devel(x86-32) -
libwebp-devel(x86-32) -
zlib-devel(x86-32) -

Provides

Name Value
gd-devel = 2.2.5-7.fc29.remi
gd-devel(x86-32) = 2.2.5-7.fc29.remi
pkgconfig(gdlib) = 2.2.5

Obsoletes

Name Value
gd-last-devel <= 2.2.5

Download

Type URL
Mirror rpms.remirepo.net
Binary Package gd-devel-2.2.5-7.fc29.remi.i686.rpm
Source Package gd-2.2.5-7.fc29.remi.src.rpm

Install Howto

  1. Download latest remi-release rpm from
    http://rpms.remirepo.net/fedora/29/remi/x86_64/
  2. Install remi-release rpm:
    # rpm -Uvh remi-release*rpm
  3. Install gd-devel rpm package:
    # dnf --enablerepo=remi install gd-devel

Files

Path
/usr/bin/gdlib-config
/usr/include/entities.h
/usr/include/gd.h
/usr/include/gd_color_map.h
/usr/include/gd_errors.h
/usr/include/gd_io.h
/usr/include/gdcache.h
/usr/include/gdfontg.h
/usr/include/gdfontl.h
/usr/include/gdfontmb.h
/usr/include/gdfonts.h
/usr/include/gdfontt.h
/usr/include/gdfx.h
/usr/include/gdpp.h
/usr/lib/libgd.so
/usr/lib/pkgconfig/gdlib.pc

Changelog

2018-09-07 - mskalick@redhat.com - 2.2.5-7
- Add missing requires to libimagequent-devel
2018-08-30 - mskalick@redhat.com - 2.2.5-6
- Use libimagequant library (RHBZ#1468338)
2018-08-30 - mskalick@redhat.com - 2.2.5-5
- Check return value in gdImageBmpPtr to avoid double free (CVE-2018-1000222)
- Don't mark gdimagegrayscale/basic test as failing

See Also

Package Description
gd-progs-2.2.5-6.fc29.remi.i686.rpm Utility programs that use libgd
gd-progs-2.2.5-6.fc29.remi.x86_64.rpm Utility programs that use libgd
gd-progs-2.2.5-7.fc29.remi.i686.rpm Utility programs that use libgd
gd-progs-2.2.5-7.fc29.remi.x86_64.rpm Utility programs that use libgd
glpi-ocsinventoryng-1.5.6-1.fc29.remi.noarch.rpm Plugin to synchronize GLPI with OCS Inventory NG
handlebarsc-0.6.4-3.fc29.remi.x86_64.rpm Command line tools from libhandlebars
hdrhistogram-0.9.10-1.fc29.remi.x86_64.rpm A High Dynamic Range (HDR) Histogram
hdrhistogram-0.9.11-1.fc29.remi.x86_64.rpm A High Dynamic Range (HDR) Histogram
hdrhistogram-devel-0.9.10-1.fc29.remi.x86_64.rpm Header files and development libraries for hdrhistogram
hdrhistogram-devel-0.9.11-1.fc29.remi.x86_64.rpm Header files and development libraries for hdrhistogram
hdrhistogram-libs-0.9.10-1.fc29.remi.x86_64.rpm A High Dynamic Range (HDR) Histogram C library
hdrhistogram-libs-0.9.11-1.fc29.remi.x86_64.rpm A High Dynamic Range (HDR) Histogram C library
ip2location-country-8.0.7-1.fc29.remi.noarch.rpm Country database for libip2location
libbase58-0.1.4-1.fc29.remi.x86_64.rpm Library for Bitcoin's base58 encoding
libbase58-devel-0.1.4-1.fc29.remi.x86_64.rpm Header files and development libraries for libbase58
Advertisement
Advertisement